List and filter deployments

GET/v2/deployments
AuthorizationBearer <token>

API key for authentication. Use format: Bearer YOUR_API_KEY

In: header

Query Parameters

procedure_ids?array<>

Filter deployments by procedure ID(s). Omit to list across all procedures.

environments?array<>

Filter by deployment environment.

build_statuses?array<>

Filter by build status.

pushed?boolean

True = only deployments pushed to at least one station. False = only deployments not yet pushed.

branch_names?array<string>

Filter by the git branch name of the deployment's commit.

author_usernames?array<string>

Filter by the commit author username.

deployed_after?string

Filter deployments created after this date (inclusive).

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time
deployed_before?string

Filter deployments created before this date (inclusive).

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time
search_query?string

Search deployments by commit message or SHA.

Lengthlength <= 256
limit?integer

Maximum number of deployments to return.

Default50
Range1 <= value <= 100
cursor?integer

Cursor for pagination. Use next_cursor from the previous response to fetch the next page.

Range-9007199254740991 <= value <= 9007199254740991

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/deployments"
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "environment": "production",
      "trigger": "auto",
      "status": "ready",
      "skipped": false,
      "started_at": "2024-01-15T10:30:00Z",
      "ended_at": "2024-01-15T10:35:00Z",
      "deployed_at": "2024-01-15T10:25:00Z",
      "procedure": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      },
      "commit": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "sha": "string",
        "message": "string",
        "author_username": "string",
        "author_avatar_url": "string",
        "committed_at": "2019-08-24T14:15:22Z",
        "branch": "string"
      },
      "repository": {
        "provider": "github"
      },
      "stations": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string"
        }
      ]
    }
  ],
  "meta": {
    "has_more": true,
    "next_cursor": 50
  }
}
{
  "message": "Bad request",
  "code": "BAD_REQUEST",
  "issues": []
}
{
  "message": "Unauthorized",
  "code": "UNAUTHORIZED",
  "issues": []
}
{
  "message": "Not found",
  "code": "NOT_FOUND",
  "issues": []
}
{
  "message": "Internal server error",
  "code": "INTERNAL_SERVER_ERROR",
  "issues": []
}

How is this guide?